;;; stmcrblog-mode.el --- static micro-blogging engine from Emacs

;; Copyright (C) 2011 by Oleksandr Gavenko <gavenkoa@gmail.com>

;; You can do anything with this file without any warranty.

;; Author: Oleksandr Gavenko <gavenkoa@gmail.com>
;; Maintainer: Oleksandr Gavenko <gavenkoa@gmail.com>
;; Created: 2011-11-10
;; Version: 0.1
;; Keywords: blog, microblog, blogging, gtd

;;; Commentary:
;;
;; Very pure release.

;;; Code:

(defconst stmcrblog-major-version 0
  "stmcrblog major version.")

(defconst stmcrblog-minor-version 1
  "stmcrblog major version.")

(defun stmcrblog-version (&optional here)
  "Return stmcrblog version."
  (interactive "P")
  (let ( (version-string (format "stmcrblog %d.%d" stmcrblog-major-version stmcrblog-minor-version)) )
    (if here
        (insert version-string)
      (if (called-interactively-p 'interactive)
          (message "%s" version-string)
        version-string))
    ))

(provide 'stmcrblog-mode)

;;; stmcrblog-mode.el ends here
